### Method

# PapersView JobLoad take_fd

since: 46.0

#### Declaration [src]

    void
    pps_job_load_take_fd (
      PpsJobLoad* job,
      int fd,
      const char* mime_type
    )

#### Description [src]

Sets `fd` as the file descriptor in `job`. Note that `job` takes ownership of `fd`; you must not do anything with it afterwards.

It is an error to call this function if uri is set for the job.

Available since: 46.0

#### Parameters

`fd`

  Type: `int`

  A file descriptor.

`mime_type`

  Type: `const char*`

  The mime type of the file descriptor.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.